/home/travis/build/boostorg/boost/boost/geometry/util/promote_integral.hpp File Reference

## Classes

class | boost::geometry::promote_integral< T, PromoteUnsignedToUnsigned, UseCheckedInteger, IsIntegral >
| Meta-function to define an integral type with size than is (roughly) twice the bit size of T. More...
class | boost::geometry::promote_integral< T, PromoteUnsignedToUnsigned, UseCheckedInteger, false >

## Namespaces

namespace | boost
namespace | boost::geometry

## Defines

#define | BOOST_GEOMETRY_NO_MULTIPRECISION_INTEGER

## Define Documentation

#define BOOST_GEOMETRY_NO_MULTIPRECISION_INTEGER

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK